Bug 2531 - При новой схеме запуска Х-сервера, он захватывает виртуальную консоль раньше mingetty
: При новой схеме запуска Х-сервера, он захватывает виртуальную консоль раньше ...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xinitrc)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-04-17 23:39 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-04-17 23:39:49
Эффет наблюдается только при старте на 5-ом runlevel.
Проблема оказалась в том, что после переноса запуска Х-сервера в rc.d - он стал
запускаться раньше чем mingetty... Соответсвенно он захватывает виртуальный
терминал (почему-то tty2) раньше. А вот последующая попытка запуска mingetty на
этом же виртуальном терминале приводит к \"отключению\" клавиатуры.
Если убить Х, то, он уже перезапустится на tty7 и подобная проблема больше не
проявляется до очередной перезагрузке компа.
Проблема проявилась после апдейта XFree до версии 4.3.0
---

---
------- Comment #1 From 2003-05-08 12:23:56 -------
У меня была такая же проблема. Вылечил так - в /etc/rc.d/rc5.d переименовал
S45dm S93dm - поменял порядок зупуска display manager. Проблема исчезла. Видимо
она возникла из-за того, что display manager запускался до исксовой
клавиатуры....
------- Comment #2 From 2003-05-08 12:23:56 -------
У меня была такая же проблема. Вылечил так - в /etc/rc.d/rc5.d переименовал
S45dm S93dm - поменял порядок зупуска display manager. Проблема исчезла. Видимо
она возникла из-за того, что display manager запускался до исксовой
клавиатуры....
------- Comment #3 From 2003-09-06 00:45:28 -------
2rider: please check xinitrc-2.4.17-alt1 
------- Comment #4 From 2003-09-22 11:43:53 -------
Anybody here? 
Please check altair:/user/ldv/OUT/xinitrc/RPMS/xinitrc-2.4.17-alt1.i586.rpm !!! 
------- Comment #5 From 2003-09-22 12:12:26 -------
2ldv: plase, move altair:/user/ldv/OUT/xinitrc/RPMS/xinitrc-2.4.17-alt1.i586.rpm
to basalt:/raid/OUT/testing/RPMS .
------- Comment #6 From 2003-09-22 16:57:38 -------
Fixed in xinitrc-2.4.17-alt1; grand thanks to cornet for testing.